<!DOCTYPE html>
<?php

    require 'functions.php';
    //Define queienes tienen permiso en este archivo
    $permisos = ['Administrador','Profesor'];
    permisos($permisos);
    //consulta las secciones
    $secciones = $conn->prepare("select * from secciones");
    $secciones->execute();
    $secciones = $secciones->fetchAll();

    //consulta de grados
    $grados = $conn->prepare("select * from grados");
    $grados->execute();
    $grados = $grados->fetchAll();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Registro de Notas" />
    <link rel="stylesheet" href="css/style.css" />
    <link rel="shortcut icon" href="img/favicon.png" type="image/x-icon">
    <title>Registro</title>
</head>
<body>

<i>
<body>

<div class="">
    <h1 style="text-align:center;">Formulario estudiantil</h1>
</div>

<nav>
    <ul>
        <li><a href="inicio.view.php">Inicio</a> </li>
        <li class="active"><a href="alumnos.view.php">Registro de Alumnos</a> </li>
        <li><a href="listadoalumnos.view.php">Listado de Alumnos</a> </li>
        <li><a href="notas.view.php">Registro de Notas</a> </li>
        <li><a href="listadonotas.view.php">Consulta de Notas</a> </li>
        <li class="right"><a href="logout.php">Salir</a> </li>

    </ul>
</nav>

<div class="body">
    <div class="panel">
    <h4>Registro de Alumnos</h4><br><br>
        <form method="post" class="form" action="procesaralumno.php">
            <div class="form-group">
                <label for=""><b>Nombre del estudiante</b></label><br><br>  
                <input type="text" name="nombres" class="form-control" placeholder="Ingresar los nombres" autofocus required>
            </div>
            <br><br>
            <div class="form-group">
                <label for=""><b>Apellidos del estudiante</b></label><br><br>    
                <input type="text" name="apellidos" class="form-control" placeholder="Ingresar los apellidos" autofocus required>
            </div>
            <br><br>
            <div class="form-group">
                <label for=""><b>N° de Lista</b></label> <br><br>   
                <input type="number" name="numlista" class="number" placeholder="Ingresar numero de lista" autofocus required>
            </div>
            <br><br>
            <div class="form-group">
                <label for=""><b>Genero</b></label> <br><br>
                <input type="radio" name="genero" value="M">  Masculino
                <input type="radio" name="genero" value="F">  Femenino<br>
            </div>
            <br><br>
            <div class="">
                <label><b>Grado</b></label><br><br>
                <select name="grado" required>
                <option selected>Seleccione Grado perteneciente</option>
                    <?php foreach ($grados as $grado):?>
                        <option value="<?php echo $grado['id'] ?>"><?php echo $grado['nombre'] ?></option>
                    <?php endforeach;?>
                </select>
            </div>
            <br><br>
            <div class="">
                <label><b>Sección</b></label><br><br>
                <select type="radio" name="seccion" required>
                <option selected>Seleccione seccion perteneciente</option>
                    <?php foreach ($secciones as $seccion):?>
                         <option required value="<?php echo $seccion['id'] ?>">Sección <?php echo $seccion['nombre'] ?></option>
                    <?php endforeach;?>
                </select>
            </div>
            <br><br>
                <button type="submit" name="insertar">Registrar</button>
                <button type="reset">Limpiar datos</button>
                <a class="btn-link" href="listadoalumnos.view.php">Ver Listado</a>
            <br><br>
            <!--mostrando los mensajes que recibe a traves de los parametros en la url-->
            <?php
            if(isset($_GET['err']))
                echo '<span class="error">Error al almacenar el registro</span>';
            if(isset($_GET['info']))
                echo '<span class="success">Registro almacenado correctamente!</span>';
            ?>
        </form>
            <?php
            if(isset($_GET['err']))
                echo '<span class="error">Error al guardar</span>';
            ?>
    </div>
</div>

</body>
</i>
    
</body>
</html>
