<?php

    require 'functions.php';

    $permisos = ['Administrador','Profesor'];
    permisos($permisos);
    //consulta los alumnos para el listaddo de alumnos
    $alumnos = $conn->prepare("select a.id, a.num_lista, a.nombres, a.apellidos, a.genero, b.nombre as grado, c.nombre as seccion from 
        alumnos as a inner join grados as b on a.id_grado = b.id inner join secciones as c on a.id_seccion = c.id order by a.apellidos");
    $alumnos->execute();
    $alumnos = $alumnos->fetchAll();

?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Registro de Notas" />
    <link rel="stylesheet" href="css/style.css" />
    <link rel="shortcut icon" href="img/favicon.png" type="image/x-icon">
    <title>Listado Alumno</title>
</head>

<i>
<body>

<div class="">
    <h1 style="text-align:center;">Listado estudiantil</h1>
</div>

<nav>
    <ul>
        <li><a href="inicio.view.php">Inicio</a> </li>
        <li><a href="alumnos.view.php">Registro de Alumnos</a> </li>
        <li class="active"><a href="listadoalumnos.view.php">Listado de Alumnos</a> </li>
        <li><a href="notas.view.php">Registro de Notas</a> </li>
        <li><a href="listadonotas.view.php">Consulta de Notas</a> </li>
        <li class="right"><a href="logout.php">Salir</a> </li>

    </ul>
</nav>

<div class="body">
    <div class="panel">
        <h4>Listado de Alumnos</h4>
        <table class="table table-dark table-striped" cellspacing="0" cellpadding="0">
            <tr>
                <th>No de<br>lista</th>
                <th>Apellidos</th>
                <th>Nombres</th>
                <th>Genero</th>
                <th>Grado</th>
                <th>Seccion</th>
                <th>Editar</th>
                <th>Eliminar</th>
            </tr>
            <?php foreach ($alumnos as $alumno) :?>
            <tr>
                <td style="text-align:center;">
                    <?php echo $alumno['num_lista'] ?>
                </td>
                <td style="text-align:center;">
                    <?php echo $alumno['apellidos'] ?>
                </td>
                <td style="text-align:center;">
                    <?php echo $alumno['nombres'] ?>
                </td>
                <td style="text-align:center;">
                    <?php echo $alumno['genero'] ?>
                </td>
                <td style="text-align:center;">
                    <?php echo $alumno['grado'] ?>
                </td>
                <td style="text-align:center;">
                    <?php echo $alumno['seccion'] ?>
                </td>
                <td>
                    <a href="alumnoedit.view.php?id=<?php echo $alumno['id'] ?>">
                        <button type="submit">Editar</button>
                    </a> 
                </td>
                <td>
                    <a href="alumnodelete.php?id=<?php echo $alumno['id'] ?>">
                        <button type="submit">Eliminar</button>
                    </a> 
                </td>
            </tr>
            <?php endforeach;?>
        </table>
        <br><br>
        <a class="btn btn-danger" href="alumnos.view.php">
                <BUtton>Agregar Alumno</BUtton>
        </a>
        <br><br>
        <!--mostrando los mensajes que recibe a traves de los parametros en la url-->
        <?php
            if(isset($_GET['err']))
                echo '<span class="error">Error al almacenar el registro</span>';
            if(isset($_GET['info']))
                echo '<span class="success">Registro almacenado correctamente!</span>';
        ?>

    </div>
</div>


</body>
</i>

</html>